The Dev Team has just released PwnageTool 3.1.4 for Mac OS X. This release supports the 3.1.2 iPhone software for the following devices: iPhone 2G/3G/3GS and iPod Touch 1G/2G.

  • The iPhone 3GS is now supported out of the box in PwnageTool 3.1.4 (or if you have upgraded to 3.1.x in iTunes)
  • The iPod 2G is still supported in PwnageTool 3.1.4 but you must already be jailbroken (we’ll update this if there’s a big demand from non-jailbroken ipt2G owners)
  • The iPod touch 3G is NOT supported

If you've Unlocked your iPhone under 3.0, and want to maintain your unlock, it's vital to remember:

This release allows your baseband to remain unlocked at 3.1.2, but it does not unlock a new baseband put there by restoring to official 3.1.x. It is super important that people who need the unlock to understand they can keep it only by starting at 3.0 (or earlier) and updating solely to custom IPSWs that don’t update the baseband.

If you used some other method, including blackra1n that involved upgrading to Apple's 3.1.2, your baseband has also been updated and there's no unlock until (if?) someone figures it out, and the Dev Team has no time table for that.

For the full details please visit the Dev Teams blog and read carefully as TiPb is not responsible for your jailbreak outcome, good or bad.

Need more help? Visit TiPb's iPhone Jailbreak/Unlock forum.